findFiles {affxparser} | R Documentation

## Finds one or several files in multiple directories

### Description

Finds one or several files in multiple directories.

### Usage

    findFiles(pattern=NULL, paths=NULL, recursive=FALSE, firstOnly=TRUE, ...)

### Arguments

`pattern` | A regular expression file name pattern to match.
`paths` | A `character` `vector` of paths to be searched.
`recursive` | If `TRUE`, the directory structure is searched breath-first, in lexicographic order.
`firstOnly` | If `TRUE`, the method returns as soon as a matching file is found, otherwise not.
`...` | Arguments passed to `list.files`().

### Value

Returns a `vector` of the full pathnames of the files found.

### Paths

The `paths` argument may also contain paths specified as semi-colon (`";"`) separated paths, e.g. `"/usr/;usr/bin/;.;"`.

### Windows Shortcut links

If package R.utils is available, Windows Shortcut links (*.lnk) are recognized and can be used to immitate links to directories elsewhere. For more details, see `filePath`.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

[Package affxparser version 1.10.2 Index]